<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinacreator.video.mapper.CallerHeadDao" >
    <resultMap id="BaseResultMap" type="com.chinacreator.video.bean.AreaInfo" >
        <result column="province" property="province" jdbcType="VARCHAR" />
        <result column="area" property="area" jdbcType="VARCHAR" />
        <result column="status" property="status" jdbcType="VARCHAR" />
    </resultMap>
    
    <sql id="Base_Column_List" >
        province,area,status
    </sql>

    <select id="getAreaInfo" parameterType="string"  resultMap="BaseResultMap" >
       SELECT 
       <include refid="Base_Column_List" />
	   from TB_CALLER_AREACODE where callerhead=#{callerHead}
    </select>
    
</mapper>